Cyberduck Mountain Duck CLI

#11186 closed defect (worksforme)

Unable to MFA Auth to AWS S3 service

Reported by: vmandal Owned by:
Priority: high Milestone: 8.0
Component: s3 Version: 7.6.0
Severity: blocker Keywords: S3, MFA
Cc: Architecture: Intel
Platform: Windows 10

Description

Hi Team,

I have been trying to set up S3 authentication using setup guide (https://trac.cyberduck.io/wiki/help/en/howto/s3) in Windows environment. I had set up the aws config file in c:/Users/<username>/.aws/credentials and gave the profile which is generated by AWS STS to Cyberduck bookmark downloaded form location: ( https://svn.cyberduck.io/trunk/profiles/S3%20(Credentials%20from%20AWS%20Security%20Token%20Service).cyberduckprofile ) but when I enter to connect to S3, I don't get any response and it says connecting but it doesn't connects. I have question that does this bookmark made for AWS STS temporary credentials works for Windows or not. As I am seeing this bookmark takes the credentials from directory (~/.aws/credentials ) which is a Linux/MAC formatted structure. If this is the case, Do we have any alternative solution for connecting with temp tokens/MFA to AWS S3 using Cyberduck in Windows environment.

Thanks and Regards, Vikram Mandal

Attachments (1)

Cyberduck-defect.PNG (135.9 KB) - added by vmandal on Sep 26, 2020 at 11:33:58 AM.
S3 MFA authentication windows

Download all attachments as: .zip

Change History (7)

Changed on Sep 26, 2020 at 11:33:58 AM by vmandal

S3 MFA authentication windows

comment:1 Changed on Nov 2, 2020 at 1:24:43 PM by dkocher

  • Milestone changed from 8.0 to 7.7.0

Milestone renamed

comment:2 Changed on Nov 2, 2020 at 1:24:43 PM by dkocher

  • Milestone changed from 7.7.0 to 8.0.0

Ticket retargeted after milestone closed

comment:3 Changed on Nov 2, 2020 at 1:26:14 PM by dkocher

  • Milestone changed from 8.0.0 to 8.0

Milestone renamed

comment:4 Changed on Nov 29, 2020 at 9:15:21 PM by dkocher

The configuration is expected to work on Windows. Please provide log output can be found in the cyberduck.log file in %APPDATA%\cyberduck.

comment:5 Changed on Nov 29, 2020 at 10:14:08 PM by dkocher

  • Milestone 8.0 deleted
  • Priority changed from high to normal
  • Severity changed from blocker to normal

comment:6 Changed on Jan 26, 2021 at 9:04:24 AM by dkocher

  • Milestone set to 8.0
  • Priority changed from normal to high
  • Resolution set to worksforme
  • Severity changed from normal to blocker
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.